Bug 962298 - RHS post install initialization script
RHS post install initialization script
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: storage-server-tools (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bala.FA
Sachidananda Urs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-13 03:00 EDT by Veda Shankar
Modified: 2016-06-12 19:18 EDT (History)
7 users (show)

See Also:
Fixed In Version: appliance-1.7.1-3.el6rhs
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 999226 (view as bug list)
Environment:
Last Closed: 2015-08-10 03:43:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Veda Shankar 2013-05-13 03:00:30 EDT
Description of problem:

Need an RHS initialization script that will be executed after the ISO installation and setting up the network.  It should do the following to have a consistent deployment across all the customers. 

The script should try to do the following:
     - Identify the RAID volume(s) that will be used as Glusterfs bricks.
     - Initialize the bricks using the options recommended by the perf group.
     - Based on the use case, run the corresponding performance tuning profile.
     - Register with RHN and subscribe to correct software channels.
     - Run yum update to apply the latest updates.
Comment 2 Veda Shankar 2013-05-22 02:45:46 EDT
Sent the latest script to "Sac" for testing.  Also emailed it to Scott Haines.
Comment 5 Sachidananda Urs 2013-05-27 07:32:30 EDT
Verified with:

appliance-base-1.7.1-3.el6rhs.noarch

The script is available in:

/usr/lib/glusterfs/.unsupported/rhs-system-init.sh

Note You need to log in before you can comment on or make changes to this bug.